Summary: TSL release file
Name: release
Version: 2.2
Release: 1tr
License: GPL
Group: Trustix Official
BuildRoot: /var/tmp/%{name}-root

%description
A package just to identify the release of the distribution.

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc
echo "Trustix Secure Linux release %{version} (%{release_name})" \
     > $RPM_BUILD_ROOT/etc/release
cat <<__EOF__ > $RPM_BUILD_ROOT/etc/issue
Trustix Secure Linux release %{version} (%{release_name})
Kernel \r on an \m

__EOF__

pushd $RPM_BUILD_ROOT/etc
ln -s release trustix-release
ln issue issue.net
popd

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%attr(0644,root,root) /etc/release
%attr(0644,root,root) /etc/issue
%attr(0644,root,root) /etc/issue.net
/etc/trustix-release

%changelog
* Sat Feb 28 2004 Erlend Midttun <erlendbm at trustix dot org> 2.1-1tr
- Release 2.1

* Wed Oct 29 2003 Chr. Toldnes <christht at trustix dot org> 2.0-3tr
- Reworked for Trustix

* Sun Sep 28 2003 Chr. Toldnes <christht at tawie dot org> 2.0-2tsl
- Reworked for tawie

* Fri Jun 27 2003 Erlend Midttun <erlendbm at trustix dot com> 2.0-1tr
- 2.0 final.

* Mon Jun 23 2003 Erlend Midttun <erlendbm at trustix dot com> 1.9.5-2tr
- Added %defattr.

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 1.9.5-1tr
- Big rebuild

* Fri Jun  6 2003 Erlend Midttun <erlendbm at trustix dot com> 1.9.2-2tr
- Now have /etc/issue and issue.net as well
- Have a fixed release number

* Wed Sep 11 2002 Erlend Midttun <erlendbm at trustix dot com> -2tr
- Added /etc/trustix-release

